; DIMIN plug-in for Adobe Lightroom 2
; Dmitry V. Fedorov <www.dimin.net>
; ver: 1

;--------------------------------
;Include Modern UI

  !include "MUI.nsh"

;--------------------------------

; The name of the installer
Name "DIMIN GalleryJS plug-in for Adobe Lightroom 2"

; The file to write
OutFile "..\distr\LR_dimin_galleryjs.exe"

; The default installation directory
InstallDir "$APPDATA\Adobe\Lightroom\Web Galleries\diminGalleryJS.lrwebengine"

; Registry key to check for directory (so if you install again, it will 
; overwrite the old one automatically)
;InstallDirRegKey HKLM SOFTWARE\DIMIN "LR_GalleryJS_Install_Dir"



ShowInstDetails show
CRCCheck on
;XPStyle on
RequestExecutionLevel user  ;none|user|highest|admin


; The text to prompt the user to enter a directory
ComponentText "This will install DIMIN GaleryJS plug-in 1.1 for Adobe Lightroom 2."
; The text to prompt the user to enter a directory
DirText "Choose Adobe Lightroom 2 Web Galleries directory (Automatically detected):"

;--------------------------------
;Interface Settings

  ;!define MUI_COMPONENTSPAGE_NODESC
  ;!define MUI_COMPONENTSPAGE_SMALLDESC
  
  ;!define MUI_UI "install\modern.exe"
  
  ;!define MUI_HEADERIMAGE 
  ;!define MUI_HEADERIMAGE_BITMAP "install\div5_install_v2.bmp"
  ;!define MUI_HEADERIMAGE_BITMAP_NOSTRETCH
  
;--------------------------------
;Pages


 PageEx license
   LicenseText "Install DIMIN GalleryJS plug-in for Adobe Lightroom 2" "Install >"
   LicenseData readme.txt
   Caption " "  
   ;SubCaption "dima subCaption"
 PageExEnd

Section ""
  Call IsLightroomExists
SectionEnd

  ;!insertmacro MUI_PAGE_COMPONENTS
  ;!insertmacro MUI_PAGE_DIRECTORY


  !insertmacro MUI_PAGE_INSTFILES

 ;PageEx license
 ;  LicenseText "Usage instructions" "Finish"
 ;  LicenseData AirClickMultimediaPlugIn.txt
 ;  Caption " Instructions"  
 ;PageExEnd

  !insertmacro MUI_PAGE_FINISH
  
  !insertmacro MUI_UNPAGE_CONFIRM
  !insertmacro MUI_UNPAGE_INSTFILES
  
;--------------------------------
;Languages
 
  !insertmacro MUI_LANGUAGE "English"

;--------------------------------

; The stuff to install
Section "-DIMIN GalleryJS plug-in for Adobe Lightroom 2 (required)"

  SetOutPath "$INSTDIR"
  ;File "..\gallery.xml"
  ;File "..\galleryMaker.xml"
  File /r "..\diminGalleryJS.lrwebengine\*.*"
  
  ; Write the installation path into the registry
  WriteRegStr HKLM SOFTWARE\DIMIN "LR_GalleryJS_Install_Dir" "$INSTDIR"
  ; Write the uninstall keys for Windows
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\LRGalleryJS" "DisplayName" "DIMIN GalleryJS plug-in for Adobe Lightroom 2 (remove only)"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\LRGalleryJS" "UninstallString" '"$INSTDIR\uninstall_dimin_galleryjs_LR_plugin.exe"'
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\LRGalleryJS" "Publisher" "DIMIN Software"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\LRGalleryJS" "URLInfoAbout" "www.dimin.net"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\LRGalleryJS" "URLUpdateInfo" "www.dimin.net"


  WriteUninstaller "uninstall_dimin_galleryjs_LR_plugin.exe"
SectionEnd


Function IsLightroomExists

    IfFileExists $APPDATA\Adobe\Lightroom PathGood
 
      MessageBox MB_YESNO "Adobe Lightroom 2 software was not found! You might have never ran it as current user. Continue installing to $INSTDIR anyway?" IDYES NoAbort
        Abort ; causes installer to quit.
      NoAbort:
        Nop
    PathGood:
      Nop
  
FunctionEnd

;--------------------------------
; uninstall stuff

UninstallText "This will uninstall DIMIN GalleryJS plug-in for Adobe Lightroom 2."


; special uninstall section.
Section "Uninstall"
  
  ; remove registry keys
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\LRGalleryJS"
  DeleteRegKey HKLM "SOFTWARE\DIMIN\LR_GalleryJS_Install_Dir"
 
  ; remove files
  ;Delete "$INSTDIR\*.*"
  
  ; MUST REMOVE UNINSTALLER, too
  ;Delete "$INSTDIR\uninstall_dimin_galleryjs_LR_plugin.exe"

  ;RMDir  $INSTDIR
  RMDir /r $INSTDIR
  
  
SectionEnd


; eof
